libmodule-implementation-perl_0.09-1_all.deb


Advertisement

Description

libmodule-implementation-perl - module for loading one of several alternate implementations of a module

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmodule-implementation-perl
Package version: 0.09
Package release: 1
Package architecture: all
Package type: deb
Installed size: 63 B
Download size: 12.60 KB
Official Mirror: ftp.br.debian.org
Module::Implementation abstracts out the process of choosing one of several underlying implementations for a module. This can be used to provide XS and pure Perl implementations of a module, or it could be used to load an implementation for a given OS or any other case of needing to provide multiple implementations. This module is only useful when you know all the implementations ahead of time. If you want to load arbitrary implementations then you probably want something like a plugin system, not this module.

    Download

    Source package: libmodule-implementation-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmodule-implementation-perl deb package:
      # sudo apt-get install libmodule-implementation-perl

    Files

    • /usr/share/doc/libmodule-implementation-perl/changelog.Debian.gz
    • /usr/share/doc/libmodule-implementation-perl/changelog.gz
    • /usr/share/doc/libmodule-implementation-perl/copyright
    • /usr/share/man/man3/Module::Implementation.3pm.gz
    • /usr/share/perl5/Module/Implementation.pm

    Changelog

    2014-08-26 - Angel Abad <angel@debian.org> libmodule-implementation-perl (0.09-1) unstable; urgency=medium [ gregor herrmann ] * Strip trailing slash from metacpan URLs. [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ Angel Abad ] * Imported Upstream version 0.09 * debian/copyright: Update copyright years * Bump Standards-Version to 3.9.5 (no changes)

    2013-08-12 - Florian Schlichting <fsfs@debian.org> libmodule-implementation-perl (0.07-1) unstable; urgency=low [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Florian Schlichting ] * Import Upstream version 0.07. * Update year of upstream copyright. * Bump Standards-Version to 3.9.4 (update to copyright-format 1.0). * Add myself to uploaders and copyright.

    2012-02-13 - Angel Abad <angel@debian.org> libmodule-implementation-perl (0.06-1) unstable; urgency=low * Imported Upstream version 0.06 * debian/control: {Build-}Depends on libmodule-runtime-perl (>= 0.012)

    2012-02-09 - Angel Abad <angel@debian.org> libmodule-implementation-perl (0.05-1) unstable; urgency=low * Imported Upstream version 0.05 * debian/control: Build-Depends on libtest-requires-perl * Add myself to Uploaders

    2012-02-07 - gregor herrmann <gregoa@debian.org> libmodule-implementation-perl (0.03-1) unstable; urgency=low * Initial release (closes: #659051).

    Advertisement
    Advertisement